Bug 518657 - can't connect to ldap server with gssapi
Summary: can't connect to ldap server with gssapi
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-ldap
Version: 11
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 14:38 UTC by Fabien Georget
Modified: 2010-06-28 14:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:13:09 UTC


Attachments (Terms of Use)

Description Fabien Georget 2009-08-21 14:38:10 UTC
Description of problem:
I can't connect to a ldap server using python-ldap with the gssapi because the authentification mechanism is unknow.

This is the traceback :
>>> ml=PCLdap(server)
>>> ml.gssapi_bind()
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "pcldap.py", line 104, in gssapi_bind
    self.connection.sasl_interactive_bind_s("", ldap.sasl.gssapi(""))
  File "/usr/lib/python2.6/site-packages/ldap/ldapobject.py", line 219, in sasl_interactive_bind_s
    return self._ldap_call(self._l.sasl_interactive_bind_s,who,auth,EncodeControlTuples(serverctrls),EncodeControlTuples(clientctrls),sasl_flags)
  File "/usr/lib/python2.6/site-packages/ldap/ldapobject.py", line 96, in _ldap_call
    result = func(*args,**kwargs)
ldap.AUTH_UNKNOWN: {'info': 'SASL(-4): no mechanism available: No worthy mechs found', 'desc': 'Unknown authentication method'}

It is not a problem of the server, because I can connect from an other computer with python-ldap (version: 2.3.5.1). This computer runs debian Lenny.

>>> from pcldap import PCLdap
>>> mc=PCLdap(server)
>>> mc.gssapi_bind()
>>> mc.whoami()
'dn:(good dn)'

Users' informations are saved in the ldap directory and users' password are managed with kerberos, so the computer running fedora can access to the ldap directory.



Version-Release number of selected component (if applicable):
2.3.6-1.fc11

Comment 1 Bug Zapper 2010-04-28 09:52:30 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:13:09 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.